Bug 141459 - --get-source fails for updates
Summary: --get-source fails for updates
Status: CLOSED CANTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: up2date   
(Show other bugs)
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bret McMillan
QA Contact: Fanny Augustin
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-12-01 09:53 UTC by Vasile Gaburici
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-29 15:08:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Vasile Gaburici 2004-12-01 09:53:45 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20041020

Description of problem:
up2date --get-source works fine for the srpms found in the original
tree, but fails for any updates. It fails silently, getting a 0 length
file.

The reason seems to be the lack of a headers directory in the SRPMS
directory coupled with inappropriate or misinterpreted (by up2date)
info the i386/headers directory. Anyway, one would expect up2date to
return some error if it cannot find the src.rpm, not just create a
0-length file...


Version-Release number of selected component (if applicable):
4.3.47-5

How reproducible:
Always

Steps to Reproduce:
[root@buzz ~]# up2date --get-source kernel

Fetching all package list for channel: fedora-core-3...
########################################

Fetching all package list for channel: rhat-up-fc3...
########################################

Fetching package list for channel: fedora-core-3...

Fetching
ftp://ftp.dc.aleron.net/pub/linux/fedora/linux/core/3/i386/os//headers/header.info...
########################################
#######################################
Fetching package list for channel: rhat-up-fc3...

Fetching
http://download.fedora.redhat.com/pub/fedora/linux/core/updates/3/i386//headers/header.info...
########################################

kernel-2.6.9-1.681_FC3.src.rpm...
########################################

[root@buzz ~]# cd /var/spool/up2date/
[root@buzz up2date]# ls -l *.src.rpm
-rw-r--r--  1 root root      0 Dec  1 04:42 kernel-2.6.9-1.681_FC3.src.rpm
    

Additional info:

Comment 1 Steven D. Harris 2005-04-29 19:04:20 UTC
this bug is a duplicate of #141901, #141289 (has a HACK to pach), #139351.  

This bug is a real nuisance and seems to be very pervasive now.  Mine manifested
after the FC2->FC3 upgrade, so there is some difference here.

Comment 2 Matthew Miller 2006-07-10 20:42:57 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 3 John Thacker 2006-10-29 15:08:40 UTC
Closing per lack of response to previous comment.  If this still occurs on FC3
or FC4 and is a security issue, please assign to Fedora Legacy and the
appropriate version.  The bug could also be filed against RHEL if it is relevant
there.

up2date has been replaced by pirut and pup in FC5 and FC6, the still fully
supported versions of Fedora Core, so this bug will not be fixed unless it is a
security issue.


Note You need to log in before you can comment on or make changes to this bug.